Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator Class Reference

Parser for LogicalOperator Criterion. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator:

## Public Member Functions
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parses input structure to a Criterion object. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Server\Input\Parser\Criterion
| dispatchCriterion ($criterionName, $criterionData, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a criterion name + data to its own parser. More...
| dispatchFacetBuilder ($facetBuilderName, $facetBuilderData, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a facet builder name + data to its own parser. More...
| dispatchSortClause ($sortClauseName, $direction, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a sort clause name + direction to its own parser. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Member Functions
| getFlattenedCriteriaData (array $criteriaByType)
| isZeroBasedArray (array $value)
| Checks if the given $value is zero based. More...
Protected Member Functions inherited from eZ\Publish\Core\REST\Server\Input\Parser\Criterion
| getCriterionMediaType ($criterionName)
| getSortClauseMediaType ($sortClauseName)
| getFacetBuilderMediaType ($facetBuilderName)

## Private Member Functions
| normalizeCriteriaByType (array $criterionList)
| Normalize list of criteria to be provided as the expected criterion type to its value map. More...

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser
Static Protected Attributes inherited from eZ\Publish\Core\REST\Server\Input\Parser\Criterion
static | $criterionIdMap

## Detailed Description

Parser for LogicalOperator Criterion.

Definition at line 18 of file Core/REST/Server/Input/Parser/Criterion/LogicalOperator.php.

## Member Function Documentation

## ◆ getFlattenedCriteriaData()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator::getFlattenedCriteriaData | ( | array | $criteriaByType | ) |
| protected

Parameters

  array | $criteriaByType |

Returns
  array

Definition at line 41 of file Core/REST/Server/Input/Parser/Criterion/LogicalOperator.php.

References eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator\isZeroBasedArray(), and eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator\normalizeCriteriaByType().

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalAnd\parse(), and eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOr\parse().

## ◆ isZeroBasedArray()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator::isZeroBasedArray | ( | array | $value | ) |
| protected

Checks if the given $value is zero based.

Parameters

  array | $value |

Returns
  bool

Definition at line 81 of file Core/REST/Server/Input/Parser/Criterion/LogicalOperator.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator\getFlattenedCriteriaData().

## ◆ normalizeCriteriaByType()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator::normalizeCriteriaByType | ( | array | $criterionList | ) |
| private

Normalize list of criteria to be provided as the expected criterion type to its value map.

Changes: `[ 0 => "CriterionType1" => "<value1>", 1 => "CriterionType1" => "<value2>", 2 => "CriterionType2" => "<value3>", ]` into: `[ "CriterionType1" => ["<value1>", "<value2>"], "CriterionType2" => ["<value3>"], ]`

Parameters

  array | $criterionList | zero-based list of criteria

Returns
  array map of criterion types to their values

Definition at line 111 of file Core/REST/Server/Input/Parser/Criterion/LogicalOperator.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator\getFlattenedCriteriaData().

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOperator::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parses input structure to a Criterion object.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator

Exceptions

Reimplemented in eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOr, and eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalAnd.

Definition at line 31 of file Core/REST/Server/Input/Parser/Criterion/LogicalOperator.php.

The documentation for this class was generated from the following file:

- Core/REST/Server/Input/Parser/Criterion/LogicalOperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.